Create skill
Create skill. See the OpenAPI-defined parameters, request body, and responses below.
POST
/SkillCreate skill. See the OpenAPI-defined parameters, request body, and responses below.
OpenAPI description: Este endpoint cria uma nova skill para o tenant atual.
Authentication
Authentication required. Send your user API key in the X-API-Key header.
Parameters
This operation has no path, query, or header parameters.
Request body
Content type: application/json · Schema: SkillDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
tenantId | integer · int32 | No | — | — |
name | string | No | — | nullable; maxLength: 64 |
description | string | No | — | nullable; maxLength: 1024 |
content | string | No | — | nullable |
enabled | boolean | No | — | — |
Example request
curl --request POST \
--url 'https://api.zild.ai/Skill' \
--header 'X-API-Key: YOUR_USER_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"id": 0,
"tenantId": 0,
"name": "string",
"description": "string",
"content": "string",
"enabled": true
}'
Responses
| Status | Description | Response body |
|---|---|---|
200 | Skill criada com sucesso | application/json · SkillDto |
Example response (200):
{
"id": 0,
"tenantId": 0,
"name": "string",
"description": "string",
"content": "string",
"enabled": true
}
Data models
SkillDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
tenantId | integer · int32 | No | — | — |
name | string | No | — | nullable; maxLength: 64 |
description | string | No | — | nullable; maxLength: 1024 |
content | string | No | — | nullable |
enabled | boolean | No | — | — |